Bug 815491 - usbmuxd not seeing iphone
usbmuxd not seeing iphone
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: usbmuxd (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-23 13:42 EDT by Jason Montleon
Modified: 2012-06-29 12:52 EDT (History)
6 users (show)

See Also:
Fixed In Version: usbmuxd-1.0.8-2.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-06 05:37:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jason Montleon 2012-04-23 13:42:51 EDT
Description of problem:
/usr/lib/udev/rules.d/85-usbmuxd.rules looks to be telling usbmuxd to run under the usbmuxd account, however that account seems to be missing some access to function properly. When I plug in my phone I see it is launched as usbmuxd -u -U usbmuxd, but the phone never sets up for tethering. Also if I run usbmuxd -x, which should only cause the process to end if no devices are plugged in, it stops. ideviceinfo, idevicepair, etc. also don't think there is an iphone plugged in.

Modifying the startup to run as root causes most things to work properly, but I'm guessing this isn't ideal from a security standpoint either. 

rhythmbox, gtkpod, etc. still don't see the phone, but I don't think that is usbmuxd's fault if pairing, tethering, and so on are at least functioning.

Version-Release number of selected component (if applicable):
usbmuxd-1.0.8-1.fc17.x86_64

How reproducible:
Seems 100%. Tested on two systems.

Steps to Reproduce:
1. Install Fedora 17
2. Plug in iPhone
  
Actual results:
Nothing works as it should

Expected results:
Tethering, pairing, etc. work properly.
Comment 1 Peter Robinson 2012-05-05 04:59:57 EDT
Should be fixed in 1.0.8-2.fc17
Comment 2 Victor Rehorst 2012-05-23 10:29:10 EDT
Updating to 1.0.8-2.fc17 (currently still in updates-testing) fixed this problem for me.

So did editing /lib/udev/rules.d/85-usbmuxd.rules and changing OWNER="usbmux" to OWNER="usbmuxd".
Comment 3 Peter Robinson 2012-05-23 14:35:52 EDT
(In reply to comment #2)
> Updating to 1.0.8-2.fc17 (currently still in updates-testing) fixed this
> problem for me.
> 
> So did editing /lib/udev/rules.d/85-usbmuxd.rules and changing
> OWNER="usbmux" to OWNER="usbmuxd".

can you please add some karma to the update please so we can push it stable
Comment 4 bing 2012-06-01 01:21:51 EDT
I can confirm that this bug is fixed in 1.0.8-2.fc17
Comment 5 Peter Robinson 2012-06-01 03:15:55 EDT
can you please give the update some karma
Comment 6 Francisco 2012-06-29 12:52:09 EDT
Hi, yestarday I installed fedora 17. Today in the morning I realized that I can mount my iphone on the OS, I also can acces to photos, but neither rhytmbox nor banshee are capable to acces my music....I checked that usbmuxd-1.0.8-2.fc17.x86_64 is installed, and now I don't know what to do...Any help?...

Note You need to log in before you can comment on or make changes to this bug.